/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.beans.request;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

/**
 * This is a simple helper bean which can be used to rewrite a given string as an ID.
 * 
 * @author Nils Christian Ehmke
 * @version 1.0
 */
@ManagedBean
@RequestScoped
public class StringToIDBean {

	/**
	 * Modified the given string so that it can be used as an ID. In other words: It removes all space characters.
	 * 
	 * @param string
	 *            The string to be modified.
	 * @return The given string without space characters.
	 */
	public String stringToID(final String string) {
		return string.replace(" ", "");
	}
}
